Package com.google.javascript.jscomp

# Enum PropertyRenamingPolicy

java.lang.Object
java.lang.Enum<PropertyRenamingPolicy>
com.google.javascript.jscomp.PropertyRenamingPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyRenamingPolicy>`, `java.lang.constant.Constable`

public enum PropertyRenamingPolicy extends Enum<PropertyRenamingPolicy>
Policies to determine how properties should be renamed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AGGRESSIVE_HEURISTIC`
Rename properties more heuristically.
`ALL_UNQUOTED`
Rename all properties that aren't explicitly quoted and aren't externally defined (i.e.
`HEURISTIC`
Rename properties heuristically.
`OFF`
Rename no properties.
`UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static PropertyRenamingPolicy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PropertyRenamingPolicy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final PropertyRenamingPolicy OFF
Rename no properties.

### HEURISTIC

public static final PropertyRenamingPolicy HEURISTIC
Rename properties heuristically.

See Also:
  - `RenamePrototypes`

### AGGRESSIVE_HEURISTIC

public static final PropertyRenamingPolicy AGGRESSIVE_HEURISTIC
Rename properties more heuristically.

See Also:
  - `RenamePrototypes`

### ALL_UNQUOTED

public static final PropertyRenamingPolicy ALL_UNQUOTED
Rename all properties that aren't explicitly quoted and aren't externally defined (i.e. declared in an externs file). This policy achieves better compaction than the others.

See Also:
  - `RenameProperties`

### UNSPECIFIED

public static final PropertyRenamingPolicy UNSPECIFIED

## Method Details

### values

public static PropertyRenamingPolicy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PropertyRenamingPolicy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null